<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://www.telerik.com/kendo-angular-ui/npm-banner.svg">
</a>

## Kendo UI for Angular Data Grid (Table) Component

> **Important**
> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid)&mdash;a commercial library.
> * Before installing this package, it is required that you accept the [Kendo UI for Angular License Agreement](https://www.telerik.com/purchase/license-agreement/kendo-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid). You can do this either through [purchasing a license](https://www.telerik.com/purchase/kendo-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid) or [registering for a free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team! [Head over to Kendo UI for Angular and sign up today!](https://www.telerik.com/download-login-v2-kendo-angular-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid)

The Kendo UI for Angular Data Grid includes a comprehensive set of ready-to-use features covering everything from paging, sorting, filtering, editing, and grouping to row and column virtualization, exporting to PDF and Excel, and accessibility support.

The Kendo UI for Angular Grid is built on Angular from the ground up, by a company with a long history of making enterprise-ready Grids. This results in an Angular data grid that delivers lighting fast performance and is highly customizable.

## Key Features

Among the many features which the Kendo UI for Angular Grid delivers are:

* [Editing](https://www.telerik.com/kendo-angular-ui/components/grid/editing/)&mdash;Depending on your users' requirements, you can opt for the inline or the in-cell edit modes, provide editing from an external form or Reactive or Template-Driven Forms, and also further customize the Grid.
* [Paging](https://www.telerik.com/kendo-angular-ui/components/grid/paging/)&mdash;You also have the option to add a pager for easier navigation.
* [Sorting](https://www.telerik.com/kendo-angular-ui/components/grid/sorting/)&mdash;Apart from the sorting and unsorting options of multiple columns, you can also pre-sort the data records of the Grid.
* [Filtering](https://www.telerik.com/kendo-angular-ui/components/grid/filtering/)&mdash;Including additional cell customization options.
* [Grouping](https://www.telerik.com/kendo-angular-ui/components/grid/grouping/)&mdash;Out of the box, you can apply dynamic grouping to the data Grid records, set grouping by aggregate values, and, in the same way as with the sorting functionality, pre-group the data.
* Export to [PDF](https://www.telerik.com/kendo-angular-ui/components/grid/export/pdf-export/) and [Excel](https://www.telerik.com/kendo-angular-ui/components/grid/export/excel-export/)&mdash;When implementing the Grid export to PDF, you can set the fonts, the exact portion and layout of the exported content, also customize the columns and other specifics of the output result. When exporting to Excel, you can export specific data and customize the exported columns.
* [Detail row template](https://www.telerik.com/kendo-angular-ui/components/grid/advanced-features/detail-template/)&mdash;The detail row template of the Grid enables you to provide additional details about a particular row of table data by expanding or collapsing its content.
* [Row selection](https://www.telerik.com/kendo-angular-ui/components/grid/selection/#toc-selection-modes-and-features)&mdash;Configure it by enabling or disabling the checkbox and single or multiple row selection options.
* [Locked columns](https://www.telerik.com/kendo-angular-ui/components/grid/columns/locked/)&mdash;When your Grid has to display large amounts of data, the frozen columns feature enables you to lock any of the Grid columns by just setting the locked column property.
* [Column reordering](https://www.telerik.com/kendo-angular-ui/components/grid/columns/reordering/)&mdash;Reordering can be enabled for any column and is seamlessly integrated with the available Grid features, including locked columns.
* [Column resizing](https://www.telerik.com/kendo-angular-ui/components/grid/columns/resizing/)&mdash;Resizing takes place real-time but can also be controlled from the outside.
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/grid/globalization/)&mdash;By using the available globalization options in Kendo UI for Angular, you can translate the Grid messages by adapting them to specific culture locales.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/grid/accessibility/)&mdash;The Grid is compliant with the Section 508 requirements. The Grid is accessible by screen readers and provides WAI-ARIA support.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Grid, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid) is where you can request and vote for new features to be added.

## Resources

* [Get Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid)
* [Grid **Overview** page](https://www.telerik.com/kendo-angular-ui/components/grid?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid) and [Grid API reference](https://www.telerik.com/kendo-angular-ui/components/grid/api?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid)
* [Blogs](http://www.telerik.com/blogs/kendo-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-grid)

*Copyright © 2019 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
